using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.ToolRepository.Request
{
    public class RequestGetToolAlarmLogPhoto
    {
        [Required(ErrorMessage = "MachineIDNotNull")]
        public int machine_id { get; set; }
        [Required(ErrorMessage = "ProgramNoNotNull")]
        public string program_no { get; set; }
        [Required(ErrorMessage = "SpindleNameNotNull")]
        public int spindle_name { get; set; }
        [Required(ErrorMessage = "CutterLocationNameNotNull")]
        public int cutter_location_name { get; set; }
        [Required(ErrorMessage = "AlarmTimeNotNull")]
        public int alarm_time { get; set; }
    }
}
